%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:       chm2pdf
Version:    0.9.1
Release:    8%{?dist}
Summary:    A tool to convert CHM files to PDF files
Group:      Applications/Publishing
License:    GPLv2+
URL:        http://code.google.com/p/chm2pdf/
Source:     http://chm2pdf.googlecode.com/files/chm2pdf-%{version}.tar.gz

BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel
Requires:   python >= 2.5, python-chm, htmldoc
Patch1:     chm2pdf_insecure_tempdirs.patch

%description
A simple Python script that converts CHM files into PDF files.

%prep
%setup -q
%patch1 -p1 -b .orig


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/chm2pdf
%{python_sitelib}/chm2pdf-0.9-py?.?.egg-info


%changelog
* Fri Apr 15 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.9.1-8
- Applied patch to fix use of fixed temporary directories. Fixes bugs 474455,474457

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.1-5
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.1-4
- Rebuild for Python 2.6

* Fri Jul 25 2008 Kushal Das <kushal@fedoraproject.org> 0.9.1-3
- Fixed as asked in the review

* Wed Jul 23 2008 Kushal Das <kushal@fedoraproject.org> 0.9.1-2
- Fixed the group

* Wed Jul 23 2008 Kushal Das <kushal@fedoraproject.org> 0.9.1-1
- Initial RPM release

